# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class AfacPartnerAgroforestryInvolvement(models.Model):
    _name = "afac.partner.agroforestry.involvement"
    _description = "Implication agroforesterie"
    _order = "name"

    name = fields.Char(string="Nom", required=True)


class AfacPartnerReleaseReceipt(models.Model):
    _name = "afac.partner.release.receipt"
    _description = "Réception communiqué"
    _order = "name"

    name = fields.Char(string="Nom", required=True)


class AfacPartnerLegal(models.Model):
    _name = "afac.partner.legal"
    _description = "Statut Juridique du contact"
    _order = "name"

    name = fields.Char(string="Nom", required=True)


class AfacPartnerLegalDetail(models.Model):
    _name = "afac.partner.legal.detail"
    _description = "Statut Juridique Détaillé"
    _order = "name"

    name = fields.Char(string="Nom", required=True)
    parent_id = fields.Many2one(
        comodel_name="afac.partner.legal", string="Statut Parent", required=True
    )


class AfacPartnerType(models.Model):
    _name = "afac.partner.type"
    _description = "Type du structure"
    _order = "name"

    name = fields.Char(string="Nom", required=True)


class AfacPartnerActivity(models.Model):
    _name = "afac.partner.activity"
    _description = "Compétences, Activité du contact"
    _order = "name"

    name = fields.Char(string="Nom", required=True)


class AfacPartnerCollege(models.Model):
    _name = "afac.partner.college"
    _description = "Collège du contact"
    _order = "name"

    name = fields.Char(string="Nom", required=True)
    activity_ids = fields.One2many(
        comodel_name="afac.partner.thematic",
        inverse_name="college_id",
        string="Sous collèges",
    )


class AfacPartnerThematic(models.Model):
    _name = "afac.partner.thematic"
    _description = "Sous collèges du contact"
    _order = "name"

    name = fields.Char(string="Nom", required=True)
    college_id = fields.Many2one(
        comodel_name="afac.partner.college", string="Collège", required=True
    )


class AfacPartnerRegion(models.Model):
    _name = "afac.partner.region"
    _description = "Région Implantation du contact"
    _order = "name"

    name = fields.Char(string="Région", required=True)


class AfacPartnerMandate(models.Model):
    _name = "afac.partner.mandate"
    _description = "Mandat/Fonction du contact"
    _order = "name"

    name = fields.Char(string="Mandat", required=True)
    color = fields.Integer("Couleur")


class AfacPartnerWaterAgency(models.Model):
    _name = "afac.partner.water.agency"
    _description = "Agence Eau rattachement"
    _order = "name"

    name = fields.Char(string="Agence Eau rattachement", required=True)
