# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class AfacProjectCategory(models.Model):
    _name = "afac.project.category"
    _description = "Sous Projets AFAC"

    name = fields.Char("Nom", required=True)
    project_id = fields.Many2one(comodel_name="afac.project", string="Projet")
    company_id = fields.Many2one(
        comodel_name="res.company",
        string="Société",
        required=True,
        readonly=True,
        default=lambda self: self.env.company,
    )
